Perform various operations for Symitar parameters.
Operations
searchCpLetterPagedSelectFields
POST
Search CpLetter parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
QuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/parameter/searchCpLetterPagedSelectFieldsPOST /nexum/627/2022.01/parameter/searchCpLetterPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"Query": "string",
"SelectableFields": {
"CpLetterFields": {
"LetterCode": true,
"Description": true,
"Specfile": true
}
}
}updateCpLetterByID
POST
Update CpLetter parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
CpLetterLetterCodeintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateCpLetterByIDPOST /nexum/627/2022.01/parameter/updateCpLetterByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CpLetterLetterCode": 0,
"CpLetterUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}